# GET /auto-schedules/:id/audience-preview

**Resource:** [Auto Schedules](./auto-schedules.md)  
**Scopes:** `schedules:read`  
**Write operation:** no

Preview the audience a schedule WOULD resolve to right now -- returns the total count and a configurable sample of trigger_data rows, without firing anything. Use before enabling a schedule to verify the filter targets the right rows.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Auto schedule ID |
| `sample` | query | number | no | Number of sample rows to return (0-50, default 5) |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/auto-schedules/SCHEDULE_ID/audience-preview?sample=3" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "count": 11,
    "sample": [
      {
        "key": "user:uuid-1",
        "trigger_data": {
          "user_id": "uuid-1",
          "user_email": "alice@example.com",
          "user_full_name": "Alice Smith",
          "user_role": "client_editor"
        }
      }
    ]
  },
  "meta": { "credits_remaining": 9984 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`